using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;
using A8ERP.Common;
using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.DiaoBo.DiaoBoDanZXFX
{
    public partial class W_ZXFXTJ
    {
        public W_ZXFXTJ()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();   
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_BB_List", "/KuCun/TongJiFenXi/Base/W_Base_BB_List.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Edit", "/DangAn/Base/OpenWindowDoubleRowsChooseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_Report_Open_Mx_Ex", "/Base/W_Base_Report_Open_Mx_Ex.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_SaveOP", "/KuCun/TongJiFenXi/Base/W_Base_SaveOP.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_KC_PIC", "/KuCun/TongJiFenXi/W_KC_PIC.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_ZXFXTJ", "/DiaoBo/DiaoBoDanZXFX/W_ZXFXTJ.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;

            string curCol = A8ERP.Common.DWServiceHelp.GetCountColBYCSB();
            this.SetParm("curCol", curCol);
            DWServiceHelp.Add35CmCol(dw_zxsl, false);
            DWServiceHelp.Add35CmColForZongXiangSanLan(dw_hxsl, false);
            dw_zxsl.Visible = false;
            dw_hxsl.Visible = false;

            string curYhbh = AppService.GetUserID();
            this.SetParm("curYhbh", curYhbh);
            this.SetParm("curYhmc", AppService.GetUserName());
            this.SetParm("curCdbh", this.FunctionID);
            this.SetParm("curQDID", AppService.GetUser().Jqm);
            dw_temp.AllowCreate = true;
            dw_temp.AllowRetrieve = true;
            dw_format.AllowCreate = true;
            dw_format.AllowRetrieve = true;
            mle_1.Visible = false;

            string curJgtx = A8ERP.DBHelp.GetJGTXByBMAndYH(this.FunctionID, curYhbh);
            this.SetParm("jgtxlist", curJgtx);
        }
    }
}
